org.tmatesoft.svn.core.wc

## Class SVNMergeResult

- java.lang.Object
- - org.tmatesoft.svn.core.wc.SVNMergeResult

    public class SVNMergeResult
    extends java.lang.Object

The SVNMergeResult represents a result of a text or properties merge operation. This class combines the following information about a merge result: a status type indicating how merge finished and, if the merge finished with a conflict, the reason of the conflict (why did the conflict ever occur?).

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Method Summary

Methods
`static SVNMergeResult` `createMergeResult(SVNStatusType status, SVNConflictReason reason)` Creates a new merge result object.
`SVNConflictReason` `getConflictReason()` Returns conflict reason.
`SVNStatusType` `getMergeStatus()` Returns merge status.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createMergeResult

    public static SVNMergeResult createMergeResult(SVNStatusType status,
                                   SVNConflictReason reason)

Creates a new merge result object.

If `status` is not `SVNStatusType.CONFLICTED`, `reason` is irrelevant and always set to null. If `status` is `SVNStatusType.CONFLICTED` and `reason` is null, then `reason` defaults to `SVNConflictReason.EDITED`.

Parameters:
  `status` - status of merge operation
  `reason` - reason of the conflict (if any)
Returns:
  merge result object

#### getMergeStatus

    public SVNStatusType getMergeStatus()

Returns merge status.

Returns:
  merge status type object.

#### getConflictReason

    public SVNConflictReason getConflictReason()

Returns conflict reason.

Returns:
  conflict reason object.